Admin A P I
Reorder egg variables
Updates the display order for variables on an egg.
PUT
/api/admin/eggs/{egg_id}/variables/reorderAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Path Parameters
egg_id*integer
The egg ID.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/admin/eggs/1/variables/reorder" \ -H "Content-Type: application/json" \ -d '{}'{ "object": "list", "data": [ { "object": "egg_variable", "attributes": { "id": 3952, "egg_id": 9881, "name": "Payton", "description": "Ipsum nostrum omnis autem et consequatur aut dolores enim.", "env_variable": "NON_FACERE", "default_value": "GoldenRod", "user_viewable": false, "user_editable": false, "rules": "required|string", "sort_order": 0, "created_at": "2026-09-22T14:45:26+00:00", "updated_at": "2026-09-22T14:45:26+00:00" } } ]}